Subject: Re: [PATCH core-packages-team] Update Hurd and Mach

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Mon, 12 May 2025 18:54:38 +0200

Hi,

> Attached a patch to relax gcc-14 for rumpkernel for
> core-packages-team. It might be not be needed with the 20250111 tag
> but I have not found the patience to look into updating it.

That's okay.

> It overwrites HOST_CFLAGS which are -O by default. Let me know if you
> want to add the -Wno-implicit-function-declaration instead of
> replacing.

Yes, let's keep the explicit "-O" and could you also use

   -Wno-error=implicit-function-declaration

that way we'll keep seeing the warning as long as it's there.

Thanks!  Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com